#!/bin/bash

if [ "$1" = "" ]
then
	echo
	echo "SINTAX: ./diff.sh ../../previous_ver"
	echo
else
	for i in *.c *.h
	do
 		diff $1/src/$i $i > $i.diff
 		if [ -s $i.diff ]
 		then
  		echo "$i changed"
			kdiff $1/src/$i $i 
 		else
 	 		\rm -f $i.diff
 		fi
	done
fi
