#!/bin/bash 
#
# Roberto A. Foglietta
# Genova, 06 nov 2000
#
# String search script
#

ric="$1"
if [ "$1" == "-ni" ]
then
 ric="$2"
 ni="si" 
elif [ "$2" != "" ]
then
 echo ""
 echo "SYNTAX: sf [-ni] string"
 echo ""
 echo "        ni: non interactive mode"
 echo ""
fi

echo "$ric"
if [ "$ric" != "" ]
then  
 list="$(find . -print)"
 for i in $list 
 do
  if [ -f $i ]; then if [ "$(file $i | grep text)" != "" ]
  then
   sn="$(cat $i | grep "$ric")"
   if [ "$sn" != "" ]
   then 
    echo ""
    echo "$i:"
    cat $i | grep "$ric"
    if [ "$ni" != "si" ]
    then 
      read
    fi
   else
    echo ""
    echo "$i: none"
   fi
  fi; fi
 done
else
 echo ""
 echo "SYNTAX: sf [-ni] string"
 echo ""
 echo "        ni: non interactive mode"
 echo ""
fi
